Static Deposit

Get Static Deposit Unresolved Request

One static deposit unresolved request. For origin `static-deposit` the static deposit and its identity are loaded from the payment systems service: `staticDeposit.error` is filled when the deposit could not be loaded, `identity` is null when the identity is unavailable. Requires the `static-deposit.unresolved_requests.view` permission.

GET
/api/v2/static-deposit/unresolved-requests/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unresolved request ID

Formatuuid

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/static-deposit/unresolved-requests/0199a3c4-5b6d-7e8f-9a0b-1c2d3e4f5a6b" \  -H "accept-language: ja"
{  "id": "0199a3c4-5b6d-7e8f-9a0b-1c2d3e4f5a6b",  "status": "unresolved",  "origin": "static-deposit",  "driverId": "74252197-ac29-46ca-88c5-d2ddf746cd69",  "errorCode": "static_deposit.identity.not_found",  "errorDescription": "Identity for the incoming deposit was not found.",  "incomingSnapshotId": "string",  "externalSearchFields": [    {      "name": "txid",      "label": "Transaction ID",      "format": "text",      "value": "5f2b9c0e7d"    }  ],  "resolver": null,  "staticDeposit": null,  "identity": null,  "resolvedAt": "2022-01-01T00:00:00+00:00",  "createdAt": "2022-01-01T00:00:00+00:00",  "updatedAt": "2022-01-01T00:00:00+00:00"}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}